import {
  toReactNodes
} from "./chunk-OYIPFTQC.js";
import {
  StyledTitle,
  getPropDefaults
} from "./chunk-EQDCU7HD.js";
import {
  __spreadProps,
  __spreadValues
} from "./chunk-W7FAWX6T.js";

// src/components/typography/Title.tsx
import { jsx } from "@emotion/react/jsx-runtime";
function Title(props) {
  const propsWithDefaults = getPropDefaults(props);
  let reactNodes = props.children || null;
  if (props.content) {
    reactNodes = toReactNodes(props.content);
  }
  return /* @__PURE__ */ jsx(StyledTitle, __spreadProps(__spreadValues({}, propsWithDefaults), { children: reactNodes }));
}

export {
  Title
};
